.TH LOOP_NORM 1 "Nov 11, 1997" "Stanford University" "SUIF Compiler"
.SH NAME
loop_norm \- Remove extra expressions from loop tests
.SH SYNOPSIS
.B loop_norm
.I 
{ -v | -clean }
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I loop_norm
program will try to move extra tree_nodes from all loops tests that
have more than a single effect.
It is useful to run before programs like
porky -find-fors and porky -ivars because they hate LOOPS with multiple
effects.

.PP
The
.I -clean
option will assume that loop tests do not contain any BAD jumps
and move all but the branch to the top label. This is safe
only after porky -fixbad has been run.

.PP
.SH HISTORY
This program was written by David Heine
